#
# spec file for package ghc-ListLike
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name ListLike
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        4.7.8.2
Release:        bp156.1.1
Summary:        Generalized support for list-like structures
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-fmlist-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-random-devel
%endif

%description
Generalized support for list-like structures in Haskell.

The ListLike module provides a common interface to the various Haskell types
that are list-like. Predefined interfaces include standard Haskell lists,
Arrays, ByteStrings, and lazy ByteStrings. Custom types can easily be made
ListLike instances as well.

ListLike also provides for String-like types, such as String and ByteString,
for types that support input and output, and for types that can handle infinite
lists.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license COPYRIGHT

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Tue Oct 10 2023 Peter Simons <psimons@suse.com>
- Update ListLike to version 4.7.8.2.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/ListLike-4.7.8.2/src/CHANGELOG.md
* Thu Sep  2 2021 psimons@suse.com
- Update ListLike to version 4.7.6.
  [#]## 4.7.5
  - warning-free for `-Wall` and `-Wcompat`
* Mon Apr 26 2021 psimons@suse.com
- Add ListLike at version 4.7.4.
